Bug 500820 - ecryptfs-setup-swap: vol_id: command not found
ecryptfs-setup-swap: vol_id: command not found
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ecryptfs-utils (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 08:15 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix vol_id path (406 bytes, patch)
2009-05-18 10:01 EDT, Michal Hlavinka
no flags Details | Diff
use blkid instead of vol_id, taken from upstream (1.13 KB, patch)
2009-05-19 03:09 EDT, Michal Hlavinka
no flags Details | Diff

  None (edit)
Description Michal Nowak 2009-05-14 08:15:10 EDT
Description of problem:

vol_id command is present in /lib/udev/ directory, which is not in the $PATH:

[root@hp-ml370g4-01 ~]# ecryptfs-setup-swap 
/usr/bin/ecryptfs-setup-swap: line 86: vol_id: command not found
ERROR: [/dev/mapper/VolGroup00-LogVol01] does not appear to be swap space


Version-Release number of selected component (if applicable):

ecryptfs-utils-75-1.el5
Comment 1 Michal Hlavinka 2009-05-18 10:01:40 EDT
Created attachment 344439 [details]
fix vol_id path
Comment 2 Michal Hlavinka 2009-05-19 03:09:16 EDT
Created attachment 344581 [details]
use blkid instead of vol_id, taken from upstream
Comment 3 Michal Nowak 2009-05-19 03:36:06 EDT
Then we should require e2fsprogs, perhaps.
Comment 8 errata-xmlrpc 2009-09-02 05:56:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1307.html

Note You need to log in before you can comment on or make changes to this bug.